Debian Bug report logs - #603646
lynx-cur: External menu could be cleaner, more like download or print menus

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: "Dallas E. Legan" <aw585@lafn.org>

Date: Tue, 16 Nov 2010 03:03:02 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version lynx-cur/2.8.8dev.1-1

Fixed in version lynx-cur/2.8.8dev.7-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#603646; Package lynx-cur. (Tue, 16 Nov 2010 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dallas E. Legan" <aw585@lafn.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Tue, 16 Nov 2010 03:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dallas E. Legan" <aw585@lafn.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: External menu could be cleaner, more like download or print menus
Date: Mon, 15 Nov 2010 19:00:46 -0800
Package: lynx-cur
Version: 2.8.8dev.1-1
Severity: wishlist

It would be good if the menu pulled up when externals
was briefer, more like the download or print menus.
Currently it displays the full commands and the URL involved
in each command.
I know one blind friend who is confused
by this display, especially considering the mess/complexity
of many of the URLs you might call an external on.
Perhaps provision for a brief description, and allocation
to display the URL at the top, bottom or not all would be ideal.
Perhaps some switch to abbreviate the URL would be good,
specifiy how many characters to show.
This can be achieved by handling all externals via a single
script, typically a shell script, but this seems beyond 
the ability of a lot of people, and may be handling
the configuration file is all that can be expected of them.
Thanks for any consideration, even if it just to forward
this to Thomas Dickey!



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lynx-cur depends on:
ii  debconf [debconf-2.0]  1.5.28            Debian configuration management sy
ii  libbsd0                0.1.6-1           utility functions from BSD systems
ii  libc6                  2.11.2-6          Embedded GNU C Library: Shared lib
ii  libgcrypt11            1.4.4-6           LGPL Crypto library - runtime libr
ii  libgnutls26            2.8.5-2           the GNU TLS library - runtime libr
ii  libncursesw5           5.7+20100313-2    shared libraries for terminal hand
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages lynx-cur recommends:
ii  mime-support                  3.48-1     MIME files 'mime.types' & 'mailcap

Versions of packages lynx-cur suggests:
pn  lynx-cur-wrapper              <none>     (no description available)

-- debconf information excluded

-- debsums errors found:
debsums: changed file /usr/bin/lynx.cur (from lynx-cur package)




Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sat, 11 Dec 2010 20:27:03 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Mon, 13 Dec 2010 08:36:08 GMT) Full text and rfc822 format available.

Notification sent to "Dallas E. Legan" <aw585@lafn.org>:
Bug acknowledged by developer. (Mon, 13 Dec 2010 08:36:08 GMT) Full text and rfc822 format available.

Message #12 received at 603646-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 603646-close@bugs.debian.org
Subject: Bug#603646: fixed in lynx-cur 2.8.8dev.7-1
Date: Mon, 13 Dec 2010 08:32:31 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.7-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.8dev.7-1_all.deb
  to main/l/lynx-cur/lynx-cur-wrapper_2.8.8dev.7-1_all.deb
lynx-cur_2.8.8dev.7-1.diff.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.7-1.diff.gz
lynx-cur_2.8.8dev.7-1.dsc
  to main/l/lynx-cur/lynx-cur_2.8.8dev.7-1.dsc
lynx-cur_2.8.8dev.7-1_i386.deb
  to main/l/lynx-cur/lynx-cur_2.8.8dev.7-1_i386.deb
lynx-cur_2.8.8dev.7.orig.tar.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.7.orig.tar.gz
lynx_2.8.8dev.7-1_all.deb
  to main/l/lynx-cur/lynx_2.8.8dev.7-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603646@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Dec 2010 15:38:16 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.7-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 292787 514897 533308 600693 603646 603647 604466 604984
Changes: 
 lynx-cur (2.8.8dev.7-1) unstable; urgency=low
 .
   * New Upstream Release.
    - add PERSONAL_MAIL_NAME to options menu and .lynxrc (Closes: #603647)
    - remind user how to cancel message (Closes: #292787)
    - add HTML5_CHARSETS feature (Closes: #604466, #514897)
    - add EXTERNAL_MENU feature to lynx.cfg (Closes: #603646)
    - add check in getfile() when handling a "mailto:" url, to prevent it
      when the user has requested a dump (Closes: #533308)
    - makes RMDIR_PATH configurable (Closes: #604984)
   * Replaced obsolete "netscape" to "x-www-brpwser" in patch-1
     (Closes: #600693)
Checksums-Sha1: 
 b2d1fc29cfeaafc66710a34e46829fae0e6e73f0 1181 lynx-cur_2.8.8dev.7-1.dsc
 f43f70e2396cbf03343b8a0142b8eddf6fdd3a0a 3451043 lynx-cur_2.8.8dev.7.orig.tar.gz
 a2afc9223766f2c925b58d6299f07a887b650e80 61716 lynx-cur_2.8.8dev.7-1.diff.gz
 08ff18f17f8d66a9ae2e71b16c9d6c6f934d6af5 221356 lynx-cur-wrapper_2.8.8dev.7-1_all.deb
 785e64675549d0215d1cf6af1e54ecae7470c061 218828 lynx_2.8.8dev.7-1_all.deb
 318276c2a88346eee4670eeff6653f2d03205f85 2115952 lynx-cur_2.8.8dev.7-1_i386.deb
Checksums-Sha256: 
 4cb5961619cda095d62cb0b27328c04682dd289988237efa440f1992616a2afc 1181 lynx-cur_2.8.8dev.7-1.dsc
 db6ef4caabd598ff6ffe4120b2e3f0b32f25d7e70187a1780b9ec45589874de5 3451043 lynx-cur_2.8.8dev.7.orig.tar.gz
 d77c19109a6c518b540bdd5c1a005497f92a41ae47fa5586bff072862d46bbce 61716 lynx-cur_2.8.8dev.7-1.diff.gz
 5fdc89237c83e747376a8ca24eb03e032acc0334c93fd273e822e4d8bc1426f2 221356 lynx-cur-wrapper_2.8.8dev.7-1_all.deb
 a990912e428807770ebe076c4a8f84f06ba9503e4dd4ccfa12759095f8342463 218828 lynx_2.8.8dev.7-1_all.deb
 9a4b50b3aec63aad14a84e598c26e3828d96c7107c755229f515e013cfc481af 2115952 lynx-cur_2.8.8dev.7-1_i386.deb
Files: 
 eae5875597138818845fd1ac7343ae9b 1181 web extra lynx-cur_2.8.8dev.7-1.dsc
 f6218d11feaf4dc0ff806dd3c2699a92 3451043 web extra lynx-cur_2.8.8dev.7.orig.tar.gz
 a5b36f2c0a22ae331c6e51cfeb558ff3 61716 web extra lynx-cur_2.8.8dev.7-1.diff.gz
 f60cafe03f73ef3fda7d786e9a243f41 221356 web extra lynx-cur-wrapper_2.8.8dev.7-1_all.deb
 02d3047128d820960fae0b7a41593f26 218828 web extra lynx_2.8.8dev.7-1_all.deb
 9bcb3c1fabf8b3ca4fa246d3e092e170 2115952 web extra lynx-cur_2.8.8dev.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0Fzt8ACgkQ1IXdL1v6kOzgtwCfRlPbcqLpw/LPp2DSTXZRFm2I
lvgAnjSAyVI9u2+Q8d4b48WAjLyOQHpc
=mGDS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:04:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:31:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.